<?php
/*
// "K2" Component by JoomlaWorks for Joomla! 1.5.x - Version 2.0.0
// Copyright (c) 2006 - 2009 JoomlaWorks Ltd. All rights reserved.
// Released under the GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
// More info at http://www.joomlaworks.gr
// Designed and developed by the JoomlaWorks team
// *** Last update: June 20th, 2009 ***
*/

// no direct access
defined('_JEXEC') or die ('Restricted access');

?>

<div id="k2Container" class="itemListView <?php echo $this->params->get('pageclass_sfx')?>">

	<?php if ($this->params->get('catFeedLink')):?>
		<!-- RSS feed -->
		<div id="itemListRssFeedBlock">
		<a href="<?php echo $this->feed ;?>">
			<img src="<?php echo JURI::root();?>components/com_k2/images/system/feed-icon-14x14.gif" alt="<?php echo JText::_('Subscribe to this RSS feed'); ?>" title="<?php echo JText::_('Subscribe to this RSS feed'); ?>" />
		</a>
		</div>
	<?php endif; ?>
	
	<?php if ($this->params->get('show_page_title', 1)) : ?>
		<!-- Page title -->
		<h1 class="componentheading<?php echo $this->params->get('pageclass_sfx')?>">
			<?php echo $this->escape($this->params->get('page_title')); ?>
		</h1>
	<?php endif; ?>
		
	<!-- Items -->
	
		<?php if(isset($this->primary)): ?>
			<!-- Primary Items -->
			<?php $this->isGroup = 'primary'; ?>
			<div id="itemsListPrimary">
				<?php $counter=1; foreach ($this->primary as $item) :?>
					<div style="float:left;width:<?php echo number_format(100/$this->params->get('num_primary_columns'), 1); ?>%;" class="itemContainerWrapper">
					<?php 
						$this->item=$item;
						echo $this->loadTemplate('item');
					?>
				    </div>
				    <?php if ($counter%($this->params->get('num_primary_columns'))==0) : ?>
				    <?php endif; ?>
				<?php $counter++; endforeach; ?>
				<div class="clr"></div>
			</div>
		<?php endif; ?>
	
	<div>
		<?php if ($this->params->get('catPagination')) echo $this->pagination->getPagesLinks(); ?>
		<?php if ($this->params->get('catPaginationResults')) echo $this->pagination->getPagesCounter(); ?>
	</div>
</div>
